Package org.eclipse.zest.layouts

# Interface LayoutAlgorithm.Zest1

All Superinterfaces:
  `LayoutAlgorithm`

All Known Implementing Classes:
  `AbstractLayoutAlgorithm.Zest1`, `CompositeLayoutAlgorithm.Zest1`, `ContinuousLayoutAlgorithm`, `DirectedGraphLayoutAlgorithm.Zest1`, `GridLayoutAlgorithm.Zest1`, `HorizontalLayoutAlgorithm`, `HorizontalShift`, `HorizontalTreeLayoutAlgorithm`, `RadialLayoutAlgorithm.Zest1`, `SpringLayoutAlgorithm.Zest1`, `TreeLayoutAlgorithm.Zest1`, `VerticalLayoutAlgorithm`

Enclosing interface:
  `LayoutAlgorithm`

@Deprecated(since="2.0", forRemoval=true) public static interface LayoutAlgorithm.Zest1 extends LayoutAlgorithm
Deprecated, for removal: This API element is subject to removal in a future version.
Use `LayoutAlgorithm` instead. This interface will be removed in a future release in accordance with the two year deprecation policy.
Collection of Zest 1.x methods. Used for backwards compatibility.

Since:
  2.0
@noextend
  This interface is not intended to be extended by clients.
@noimplement
  This interface is not intended to be implemented by clients.
@noreference
  This interface is not intended to be referenced by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.zest.layouts.LayoutAlgorithm

`LayoutAlgorithm.Zest1`

## Method Summary

Modifier and Type
Method
Description
`void`
`addEntity(LayoutEntity entity)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`addProgressListener(ProgressListener listener)`
Deprecated, for removal: This API element is subject to removal in a future version.
A layout algorithm could take an uncomfortable amout of time to complete.
`void`
`addRelationship(LayoutRelationship relationship)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`applyLayout(LayoutEntity[] entitiesToLayout, LayoutRelationship[] relationshipsToConsider, double x, double y, double width, double height, boolean asynchronous, boolean continuous)`
Deprecated, for removal: This API element is subject to removal in a future version.
Apply the layout to the given entities.
`double`
`getEntityAspectRatio()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the width to height ratio this layout will use to set the size of the entities.
`int`
`getStyle()`
Deprecated, for removal: This API element is subject to removal in a future version.
`boolean`
`isRunning()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns whether or not the algorithm is currenly running
`void`
`removeEntity(LayoutEntity entity)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`removeProgressListener(ProgressListener listener)`
Deprecated, for removal: This API element is subject to removal in a future version.
Removes the given progress listener, preventing it from receiving any more updates.
`void`
`removeRelationship(LayoutRelationship relationship)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`removeRelationships(List<? extends LayoutRelationship> relationships)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`setComparator(Comparator comparator)`
Deprecated, for removal: This API element is subject to removal in a future version.
Determines the order in which the objects should be displayed.
`void`
`setEntityAspectRatio(double ratio)`
Deprecated, for removal: This API element is subject to removal in a future version.
Set the width to height ratio you want the entities to use Note: Each layout is responsible for ensuring this ratio is used.
`void`
`setFilter(Filter filter)`
Deprecated, for removal: This API element is subject to removal in a future version.
Filters the entities and relationships to apply the layout on
`void`
`setStyle(int style)`
Deprecated, for removal: This API element is subject to removal in a future version.
Sets the style for this layout algorithm.
`void`
`stop()`
Deprecated, for removal: This API element is subject to removal in a future version.
Makes a request to this layout algorithm to stop running.

### Methods inherited from interface org.eclipse.zest.layouts.LayoutAlgorithm

`applyLayout, setLayoutContext`

## Method Details

### applyLayout

void applyLayout(LayoutEntity[] entitiesToLayout, LayoutRelationship[] relationshipsToConsider, double x, double y, double width, double height, boolean asynchronous, boolean continuous) throws InvalidLayoutConfiguration
Deprecated, for removal: This API element is subject to removal in a future version.
Apply the layout to the given entities. The entities will be moved and resized based on the algorithm.

Parameters:
  `entitiesToLayout` - Apply the algorithm to these entities
  `relationshipsToConsider` - Only consider these relationships when applying the algorithm.
  `x` - The left side of the bounds in which the layout can place the entities.
  `y` - The top side of the bounds in which the layout can place the entities.
  `width` - The width of the bounds in which the layout can place the entities.
  `height` - The height of the bounds in which the layout can place the entities.
  `asynchronous` - Should the algorithm run Asynchronously
Throws:
  `InvalidLayoutConfiguration`

### isRunning

boolean isRunning()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns whether or not the algorithm is currenly running

Returns:
  True if a layout algorithm is currenly running, false otherwise

### setComparator

void setComparator(Comparator comparator)
Deprecated, for removal: This API element is subject to removal in a future version.
Determines the order in which the objects should be displayed. Note: Some algorithms force a specific order, in which case this comparator will be ignored.

### setFilter

void setFilter(Filter filter)
Deprecated, for removal: This API element is subject to removal in a future version.
Filters the entities and relationships to apply the layout on

### setEntityAspectRatio

void setEntityAspectRatio(double ratio)
Deprecated, for removal: This API element is subject to removal in a future version.
Set the width to height ratio you want the entities to use Note: Each layout is responsible for ensuring this ratio is used. Note: By default the layout will use a ratio of 1.0 for each entity.

### getEntityAspectRatio

double getEntityAspectRatio()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the width to height ratio this layout will use to set the size of the entities. Note: By default the layout will use a ratio of 1.0 for each entity.

### addProgressListener

void addProgressListener(ProgressListener listener)
Deprecated, for removal: This API element is subject to removal in a future version.
A layout algorithm could take an uncomfortable amout of time to complete. To relieve some of the mystery, the layout algorithm will notify each ProgressListener of its progress.

### removeProgressListener

void removeProgressListener(ProgressListener listener)
Deprecated, for removal: This API element is subject to removal in a future version.
Removes the given progress listener, preventing it from receiving any more updates.

### stop

void stop()
Deprecated, for removal: This API element is subject to removal in a future version.
Makes a request to this layout algorithm to stop running.

### setStyle

void setStyle(int style)
Deprecated, for removal: This API element is subject to removal in a future version.
Sets the style for this layout algorithm. This will overwrite any other style set.

Parameters:
  `style` -

### getStyle

int getStyle()
Deprecated, for removal: This API element is subject to removal in a future version.

### addEntity

void addEntity(LayoutEntity entity)
Deprecated, for removal: This API element is subject to removal in a future version.

### addRelationship

void addRelationship(LayoutRelationship relationship)
Deprecated, for removal: This API element is subject to removal in a future version.

### removeEntity

void removeEntity(LayoutEntity entity)
Deprecated, for removal: This API element is subject to removal in a future version.

### removeRelationship

void removeRelationship(LayoutRelationship relationship)
Deprecated, for removal: This API element is subject to removal in a future version.

### removeRelationships

void removeRelationships(List<? extends LayoutRelationship> relationships)
Deprecated, for removal: This API element is subject to removal in a future version.